<?
$set['p_str']=20;

if(isset($_GET['teh']))
{
$sort='tehnika';
$sort2='/teh';
$rats='/ Техника';

}

elseif(isset($_GET['dost']))
{
$sort='dostig';
$sort2='/dost';
$rats='/ Достижения';

}
elseif(isset($_GET['TournoumentChat']))
{
$sort='TournoumentChat';
$sort2='/TournoumentChat';
$rats='/ Сообщения в чате (ивент)';
}
elseif(isset($_GET['TournoumentForum']))
{
$sort='TournoumentForum';
$sort2='/TournoumentForum';
$rats='/ Сообщения на форуме (ивент)';
}
elseif(isset($_GET['TournoumentExperience']))
{
$sort='TournoumentExperience';
$sort2='/TournoumentExperience';
$rats='/ Опыту (ивент)';

}
else
{
$sort='level';
$sort2=NULL;
}
echo "<div class='event'><h1>Рейтинг $rats</h1> </div>";
echo "<div class='content'>";
echo "<div class='block'>";
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_user` WHERE `status` != '3'"),0);
if ($k_post==0)
{
echo "Список пуст...";
}

$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
$num=($page-1)*$set['p_str'];

$q=mysql_query("SELECT * FROM `kolhoz_user` WHERE `status` != '3' ORDER BY $sort DESC, rating DESC LIMIT $start, $set[p_str]");
if($ku['status']!=3)echo "<ul><span class='title'>Вы находитесь на ".(mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_user` WHERE `status` != '3' AND ".($sort=='level'?"`rating`>'$ku[rating]'":"`$sort`>'$ku[$sort]' || (`$sort`='$ku[$sort]' && `rating`>'$ku[rating]')").""),0)+1)." месте</span><li class='ptm'></li>";

while($post=mysql_fetch_array($q))
{
$num++;
echo "<li><span class='minor'><span>$num.</span></span> <span>";
echo "".on_k($post['id'])."";
echo " <a class='' href='/user/$post[id]'>".nc($post['id'])."</a></span><span class='title'> ".(isset($_GET['TournoumentExperience'])?"".rating($post[$sort])."":$post[$sort])."</span></li>";
}
echo "</ul><li class='pt'></li>";
if ($k_page>1)new_str("rating$sort2/",$k_page,$page); // Вывод страниц

echo "<h3>Рейтинг по:</h3>";
echo "<ul>";
echo "<li><img width='16' height='16' src='images/icons/rating.png' alt='o'> ".(isset($_GET['dost']) || isset($_GET['arena_rate']) || isset($_GET['teh'])?"<a href='/rating'>Опыту</a>":"Опыту")."</li>";
echo "<li><img width='16' height='16' src='images/icons/rating.png' alt='o'> ".(!isset($_GET['dost'])?"<a href='/rating/dost'>Достижениям</a>":"Достижениям")."</li>";
echo "<li><img width='16' height='16' src='images/icons/rating.png' alt='o'> ".(!isset($_GET['teh'])?"<a href='/rating/teh'>Механизации</a>":"Механизации")."</li>";
echo "</ul>";
echo "</div>";
include_once 'inc/foot.php';
?>